#!/bin/sh

# Only argument is path to target directory
TARGET=$1

# Source for customization
SRC=[CUSTOMSRC]

# Copy customizations into target tree
rsync -ar $SRC/* $TARGET/

# Remove sshd init script, if it exists.
# We use dropbear instead, but OpenSSH adds init script.
if [ -f $TARGET/etc/init.d/S50sshd ]
then
	rm $TARGET/etc/init.d/S50sshd
fi

# Add missing /proc and /sys directories
mkdir -p $TARGET/proc
mkdir -p $TARGET/sys

# Add missing /media directory
mkdir -p $TARGET/media

# Remove dhcpd-server init script. S40network handles that instead.
rm -f $TARGET/etc/init.d/S80dhcp-server

# Copy dhcpd.conf into two spots so we know it gets found,
# no matter which build we're doing.
cp $TARGET/etc/dhcpd.conf $TARGET/etc/dhcp/dhcpd.conf
